*
Onboards all the tenants with no MicroStrategyDetails to MicroStragey Permission Level: Admin
POST /tenants:onboardAllTenantsToMicroStrategy
Operation id: TenantService_OnboardAllTenantsToMicrostrategy
Tags: TenantService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
{
"type": "object"
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
microStrategyDetails | array | No |
{
"type": "object",
"properties": {
"microStrategyDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectId": {
"type": "string"
},
"dashboard": {
"type": "object"
},
"privilegeUserGroups": {
"type": "object"
},
"moduleUserGroups": {
"type": "object"
},
"orgUserGroups": {
"type": "object"
},
"userPrefix": {
"type": "string"
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}